package gonganxitong

import (
	"shylinux.com/x/ice"

	"shylinux.com/x/community/src/gonganxitong/model"
)

type placeUser struct {
	Tables
	user  user
	order string `data:"80"`
}

func (s placeUser) List(m *ice.Message, arg ...string) {
	s.Table.FieldsWithCreatedAT(m, s.UserPlace, model.USER_UID, s.Keys(s.UserPlace, model.ROLE))
	if len(arg) == 1 {
		m.Cmdy(s.UserPlace, s.Select, s.Keys(s.Place, model.UID), arg[0]).Action()
	} else if len(arg) == 2 {
		m.FieldsSetDetail().Cmdy(s.UserPlace, s.Select, s.Keys(s.Place, model.UID), arg[0], s.Key(s.UserPlace, model.UID), arg[1]).Action()
	} else {
		return
	}
	s.SelectJoinUser(m)
}

func init() { ice.TeamCtxCmd(placeUser{Tables: newTables()}) }
